=== debian/changelog ===
pygopherd (3.0.1-2) unstable; urgency=medium

  * Build pygopherd.txt with bash.  Closes: #1036521.
  * Ack NMU.  Closes: #1084562.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 05 Apr 2025 08:36:39 -0500

pygopherd (3.0.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add dependency on python3-legacy-cgi for Python 3.13 transition
    (Closes: #1084562)

 -- Alexandre Detiste <tchet@debian.org>  Thu, 14 Nov 2024 23:09:57 +0100

pygopherd (3.0.1-1) unstable; urgency=medium

  * New upstream release

 -- John Goerzen <jgoerzen@complete.org>  Sat, 06 Jul 2024 18:49:38 -0500

pygopherd (3.0.0~git20221126.02c65d60-5) unstable; urgency=medium

  * Add dep on python3-zombie-imp, as imp moved out of python 3.12.
    Closes: #1058216.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 21 Dec 2023 06:13:34 -0600

pygopherd (3.0.0~git20221126.02c65d60-4) unstable; urgency=medium

  * Change dependency from transitional package mime-support to new
    package media-types.  Closes: #1050481.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 25 Aug 2023 05:34:55 -0500
